package com.eactive.eai.adapter.socket2.protocol.inisafenatn;

import java.util.Hashtable;


public class InisafeNatnErrorMessage {
	static Hashtable<String, String> hash = new Hashtable<>();
	
	static {
		hash.put("-1910", "ERR_POLICY_RESERVED_CN | 이미 등록되어 있은 CN 입니다.");
	}
	
	private InisafeNatnErrorMessage() {
		
	}
	public static String getErrorMessage(String key) {
		String value = hash.get(key);
		if (value == null) {
			return "Unknown Error.";
		}
		return value;
	}
	
	public static String getErrorMessage(int key) {
		return getErrorMessage(String.valueOf(key));
	}
}
